package identify

import (
	"testing"
)

func TestNewMultiCheck(t *testing.T) {
	//map[string]MultiRule{}
	// ``
	ruleString := `{"过滤初期":{"C.M.UF1_DB@word_control":{"NvIn":["26"]},"C.M.UF1_DB@time_production":{"NvIn":["$C.M.UF1_DB@time_sp-360...$C.M.UF1_DB@time_sp-60"]},"C.M.UF1_DB@time_sp":{}}}`

	ovs := map[string]string{
		"C.M.UF1_DB@word_control":    "25",
		"C.M.UF1_DB@time_production": "361",
		"C.M.UF1_DB@time_sp":         "4500",
	}

	nvs := map[string]string{
		"C.M.UF1_DB@word_control":    "26",
		"C.M.UF1_DB@time_production": "8839",
		"C.M.UF1_DB@time_sp":         "9000",
	}

	eventName := MultiTest(ovs, nvs, ruleString)

	t.Log(eventName)
}
